### Method

# Gtk Widget remove_controller

#### Declaration [src]

    void
    gtk_widget_remove_controller (
      GtkWidget* widget,
      GtkEventController* controller
    )

#### Description [src]

Removes an event controller from the widget.

The removed event controller will not receive any more events, and should not be used again.

Widgets will remove all event controllers automatically when they are destroyed, there is normally no need to call this function.

#### Parameters

`controller`

  Type: `GtkEventController`

  An event controller.

  The data is owned by the caller of the method.